Partage
  • Partager sur Facebook
  • Partager sur Twitter

Pourquoi apt n'installe pas la dernière version ?

    17 mars 2022 à 15:52:59

    Salut tout le monde,

    Tout à l'heure j'ai tapé les commandes :

    sudo apt-get update
    
    sudo apt-get install NOM_DU_PAQUET

    et à la fin je n'ai pas eu la dernière version du paquet ce qui me pose de gros problèmes...

    Finalement j'ai installé le paquet manuellement mais ça m'a pris beaucoup de temps et je ne sais pas si je m'y suis pris correctement. o_O

    Est-ce que quelqu'un saurait pourquoi apt ne m'a pas récupéré la dernière version ? Ca me paraît complètement stupide... :colere2:

    Est-ce que vous pensez que cela pourrait tout simplement être parce que le dépôt où est téléchargé le paquet n'est pas à jour ? Est-ce qu'il y a un moyen d'aller voir par soi-même si c'est le cas ou pas ?

    Merci d'avance !

    -
    Edité par Autechre 17 mars 2022 à 15:53:36

    • Partager sur Facebook
    • Partager sur Twitter
      17 mars 2022 à 15:59:47

      salut,

      la dernière version ? celle disponible sur le site officiel ?

      apt, c'est Debian, ou Ubuntu, et ils ne proposent que des versions stables, évidemment en retard par rapport au développement.

      en effet, si tu veux la toute dernière version (à tes risques et périls), il faut l'installer manuellement.

      je ne sais pas s'il existe des distributions parfaitement à jour des développements, parce qu'il faut du temps pour tester et empaqueter...

      • Partager sur Facebook
      • Partager sur Twitter

      "Un problème clairement exposé est à moitié résolu." ·· Pas de questions techniques en MP.

        18 mars 2022 à 11:15:14

        Ah ok d'accord ! Merci pour ta réponse.

        Après il y a quelque chose d'étrange. Je suis allé sur le site du dépôt : http://ftp.debian.org/debian

        Et j'ai vu que la dernière version du programme que je cherchais s'y trouvait.

        Du coup je n'y comprends rien. :(

        • Partager sur Facebook
        • Partager sur Twitter
          18 mars 2022 à 11:49:13

          ton sources.list correspond au dépôt dans lequel tu as trouvé la version que tu souhaites installer ?
          • Partager sur Facebook
          • Partager sur Twitter

          "Un problème clairement exposé est à moitié résolu." ·· Pas de questions techniques en MP.

            18 mars 2022 à 13:47:30

            Autechre a écrit:

            Finalement j'ai installé le paquet manuellement mais ça m'a pris beaucoup de temps et je ne sais pas si je m'y suis pris correctement. o_O


            Linux c'est pas Windows, on installe pas des applications à la main comme ça sauf si on a une véritable raison de le faire. Sur Linux tout est partagé et packagé par les mainteneurs d'une distribution et ça forme un résultat cohérent. Si tu commence à mixer des versions non compatible entre elle tu vas finir par éclater ton système.
            • Partager sur Facebook
            • Partager sur Twitter

            l'azerty est aux dispositions ce que subversion est aux SCM

            Pourquoi apt n'installe pas la dernière version ?

            × Après avoir cliqué sur "Répondre" vous serez invité à vous connecter pour que votre message soit publié.
            • Editeur
            • Markdown